API Reference - GET /codelist/countrysubdivisions
Page content
The Country Subdivisions endpoint returns a list of states, provinces or territories within countries.
Resource
GET /api/codelist/countrysubdivisions
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
| country | The 3 character ISO Code. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "UT",
"Value": "Utah",
"ParentCode": "US",
"LastModified": "2011-07-08T00:00:00",
"IsDisabled": "No"
}],
"id": "CountrySubdivisionCode"
}],
"DateGenerated": "2015-04-05T18:55:44.3995692-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Country subdivisions code |
| Value | String | State, province or territory name |
| Parent Code | String | Country name |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the country code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government